com.amazon.redshift

## Class NativeTokenHolder

- java.lang.Object
- - com.amazon.redshift.NativeTokenHolder

    public class NativeTokenHolder
    extends Object

### Field Summary

Fields
`protected String` `m_accessToken`

### Constructor Summary

Constructors
`protected` `NativeTokenHolder(String accessToken)`
`protected` `NativeTokenHolder(String accessToken, Date expiration)`

### Method Summary

Methods
`String` `getAccessToken()`
`Date` `getExpiration()`
`boolean` `isExpired()`
`boolean` `isRefresh()`
`static NativeTokenHolder` `newInstance(String accessToken)`
`static NativeTokenHolder` `newInstance(String accessToken, Date expiration)`
`void` `setRefresh(boolean flag)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_accessToken

    protected String m_accessToken

### Constructor Detail

#### NativeTokenHolder

    protected NativeTokenHolder(String accessToken)

#### NativeTokenHolder

    protected NativeTokenHolder(String accessToken,
                     Date expiration)

### Method Detail

#### newInstance

    public static NativeTokenHolder newInstance(String accessToken)

#### newInstance

    public static NativeTokenHolder newInstance(String accessToken,
                                Date expiration)

#### isExpired

    public boolean isExpired()

#### getAccessToken

    public String getAccessToken()

#### getExpiration

    public Date getExpiration()

#### setRefresh

    public void setRefresh(boolean flag)

#### isRefresh

    public boolean isRefresh()